// 导出属于工资的路由规则
import Layout from '@/layout'
//  {  path: '', component: '' }
// 每个子模块 其实 都是外层是layout  组件位于layout的二级路由里面
export default {
  path: '/salarys', // 路径
  name: 'salarys', // 给路由规则加一个name
  component: Layout, // 组件
  // 配置二级路的路由表
  children: [{
    path: '', // 这里当二级路由的path什么都不写的时候 表示该路由为当前二级路由的默认路由
    component: () => import('@/views/salarys'),
    // 路由元信息: 其实就是存储数据的对象 我们可以在这里放置一些信息
    meta: {
      title: '工资',
      // meta属性的里面的属性随意定义 这里用title，是因为左侧导航会读取路由里的meta里面的title作为显示菜单名称
      icon: 'money'
    }
  }]
}

// 当你的访问地址是 /employees的时候,layout组件会显示,二级路由的默认组件也会显示
